Bug 1010934 - Multilib issues between i686 and x86_64 version of qt-mobility
Multilib issues between i686 and x86_64 version of qt-mobility
Status: CLOSED WORKSFORME
Product: Fedora EPEL
Classification: Fedora
Component: qt-mobility (Show other bugs)
el6
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 06:20 EDT by Jan-Albert van Ree
Modified: 2014-09-23 13:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-23 13:14:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan-Albert van Ree 2013-09-23 06:20:39 EDT
Description of problem:

qt-mobility.i686 and qt-mobility.x86_64 can't be installed at the same time due to conflicts of the 

Version-Release number of selected component (if applicable): 
1.1.3-2.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. First install qt-mobility.x86_64
2. Then try to install qt-mobility.i686

Actual results:

Transaction Check Error:
  file /usr/share/doc/qt-mobility-1.1.3/LGPL_EXCEPTION.txt from install of qt-mobility-1.1.3-2.el6.i686 conflicts with file from package qt-mobility-1.1.3-2.el6.x86_64
  file /usr/share/doc/qt-mobility-1.1.3/LICENSE.LGPL from install of qt-mobility-1.1.3-2.el6.i686 conflicts with file from package qt-mobility-1.1.3-2.el6.x86_64
  file /usr/share/doc/qt-mobility-1.1.3/changes-1.1.3 from install of qt-mobility-1.1.3-2.el6.i686 conflicts with file from package qt-mobility-1.1.3-2.el6.x86_64

Expected results:

Clean install
Comment 1 Rex Dieter 2013-09-23 08:50:40 EDT
I cannot reproduce on my centos 6.4 box.

$ cat /etc/redhat-release 
CentOS release 6.4 (Final)

$ sudo yum install qt-mobility.x86_64 -y
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package qt-mobility.x86_64 0:1.1.3-2.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================================================================================================
 Package                                       Arch                                     Version                                       Repository                              Size
===================================================================================================================================================================================
Installing:
 qt-mobility                                   x86_64                                   1.1.3-2.el6                                   epel                                   1.7 M

Transaction Summary
===================================================================================================================================================================================
Install       1 Package(s)

Total download size: 1.7 M
Installed size: 7.4 M
Downloading Packages:
qt-mobility-1.1.3-2.el6.x86_64.rpm                                                                                                                          | 1.7 MB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : qt-mobility-1.1.3-2.el6.x86_64                                                                                                                                  1/1 
  Verifying  : qt-mobility-1.1.3-2.el6.x86_64                                                                                                                                  1/1 

Installed:
  qt-mobility.x86_64 0:1.1.3-2.el6                                                                                                                                                 

Complete!

$ sudo yum install qt-mobility.i686 -y
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package qt-mobility.i686 0:1.1.3-2.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================
 Package                                       Arch                                   Version                                         Repository                              Size
================================================================================
Installing:
 qt-mobility                                   i686                                   1.1.3-2.el6                                     epel                                   1.7 M

Transaction Summary
===================================================================================================================================================================================
Install       1 Package(s)

Total download size: 1.7 M
Installed size: 6.6 M
Downloading Packages:
qt-mobility-1.1.3-2.el6.i686.rpm                                                                                                                            | 1.7 MB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : qt-mobility-1.1.3-2.el6.i686                                                                                                                                    1/1 
  Verifying  : qt-mobility-1.1.3-2.el6.i686                                                                                                                                    1/1 

Installed:
  qt-mobility.i686 0:1.1.3-2.el6                                                                                                                                                   

Complete!
Comment 2 Jan-Albert van Ree 2013-09-23 08:56:30 EDT
I'm doing this on a Scientific Linux 6.4 machine.
I've copy/pasted output below. What else can I provide?

root@rpmbuild-sl6 ~ # yum install qt-mobility
Loaded plugins: refresh-packagekit, rhnplugin
This system is receiving updates from RHN Classic or Red Hat Satellite.
Setting up Install Process                                             
Package qt-mobility-1.1.3-2.el6.x86_64 already installed and latest version
Nothing to do                                                              
root@rpmbuild-sl6 ~ # yum install qt-mobility.i686                         
Loaded plugins: refresh-packagekit, rhnplugin                              
This system is receiving updates from RHN Classic or Red Hat Satellite.    
Setting up Install Process                                                 
Resolving Dependencies                                                     
--> Running transaction check                                              
---> Package qt-mobility.i686 0:1.1.3-2.el6 will be installed              
--> Processing Dependency: libgstphotography-0.10.so.0 for package: qt-mobility-1.1.3-2.el6.i686
--> Processing Dependency: libpulse.so.0 for package: qt-mobility-1.1.3-2.el6.i686              
--> Processing Dependency: libpulse.so.0(PULSE_0) for package: qt-mobility-1.1.3-2.el6.i686     
--> Running transaction check                                                                   
---> Package gstreamer-plugins-bad-free.i686 0:0.10.19-2.el6 will be installed                  
--> Processing Dependency: libvpx.so.0 for package: gstreamer-plugins-bad-free-0.10.19-2.el6.i686
--> Processing Dependency: libsndfile.so.1(libsndfile.so.1.0) for package: gstreamer-plugins-bad-free-0.10.19-2.el6.i686
--> Processing Dependency: libsndfile.so.1 for package: gstreamer-plugins-bad-free-0.10.19-2.el6.i686                   
--> Processing Dependency: libmpcdec.so.5 for package: gstreamer-plugins-bad-free-0.10.19-2.el6.i686                    
--> Processing Dependency: libiptcdata.so.0 for package: gstreamer-plugins-bad-free-0.10.19-2.el6.i686                  
--> Processing Dependency: libgsm.so.1 for package: gstreamer-plugins-bad-free-0.10.19-2.el6.i686                       
--> Processing Dependency: libexif.so.12 for package: gstreamer-plugins-bad-free-0.10.19-2.el6.i686                     
--> Processing Dependency: libexempi.so.3 for package: gstreamer-plugins-bad-free-0.10.19-2.el6.i686                    
---> Package pulseaudio-libs.i686 0:0.9.21-14.el6_3 will be installed                                                   
--> Processing Dependency: libwrap.so.0 for package: pulseaudio-libs-0.9.21-14.el6_3.i686
--> Processing Dependency: libasyncns.so.0 for package: pulseaudio-libs-0.9.21-14.el6_3.i686
--> Processing Dependency: libXtst.so.6 for package: pulseaudio-libs-0.9.21-14.el6_3.i686
--> Running transaction check
---> Package exempi.i686 0:2.1.0-5.el6 will be installed
---> Package gsm.i686 0:1.0.13-4.el6 will be installed
---> Package libXtst.i686 0:1.2.1-2.el6 will be installed
---> Package libasyncns.i686 0:0.8-1.1.el6 will be installed
---> Package libexif.i686 0:0.6.21-5.el6_3 will be installed
---> Package libiptcdata.i686 0:1.0.4-2.1.el6 will be installed
---> Package libmpcdec.i686 0:1.2.6-6.1.el6 will be installed
---> Package libsndfile.i686 0:1.0.20-5.el6 will be installed
--> Processing Dependency: libFLAC.so.8 for package: libsndfile-1.0.20-5.el6.i686
---> Package libvpx.i686 0:0.9.0-8.el6_0 will be installed
---> Package tcp_wrappers-libs.i686 0:7.6-57.el6 will be installed
--> Running transaction check
---> Package flac.i686 0:1.2.1-6.1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================================================================
 Package                                                               Arch                                            Version                                                      Repository                                          Size
=============================================================================================================================================================================================================================================
Installing:
 qt-mobility                                                           i686                                            1.1.3-2.el6                                                  epelv6                                             1.7 M
Installing for dependencies:
 exempi                                                                i686                                            2.1.0-5.el6                                                  sl6base                                            342 k
 flac                                                                  i686                                            1.2.1-6.1.el6                                                sl6base                                            252 k
 gsm                                                                   i686                                            1.0.13-4.el6                                                 sl6base                                             26 k
 gstreamer-plugins-bad-free                                            i686                                            0.10.19-2.el6                                                sl6base                                            842 k
 libXtst                                                               i686                                            1.2.1-2.el6                                                  sl6base                                             28 k
 libasyncns                                                            i686                                            0.8-1.1.el6                                                  sl6base                                             23 k
 libexif                                                               i686                                            0.6.21-5.el6_3                                               sl6base                                            347 k
 libiptcdata                                                           i686                                            1.0.4-2.1.el6                                                sl6base                                             52 k
 libmpcdec                                                             i686                                            1.2.6-6.1.el6                                                sl6base                                             25 k
 libsndfile                                                            i686                                            1.0.20-5.el6                                                 sl6base                                            244 k
 libvpx                                                                i686                                            0.9.0-8.el6_0                                                sl6base                                            158 k
 pulseaudio-libs                                                       i686                                            0.9.21-14.el6_3                                              sl6base                                            452 k
 tcp_wrappers-libs                                                     i686                                            7.6-57.el6                                                   sl6base                                             61 k

Transaction Summary
=============================================================================================================================================================================================================================================
Install      14 Package(s)

Total size: 4.5 M
Installed size: 17 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test


Transaction Check Error:
  file /usr/share/doc/qt-mobility-1.1.3/LGPL_EXCEPTION.txt from install of qt-mobility-1.1.3-2.el6.i686 conflicts with file from package qt-mobility-1.1.3-2.el6.x86_64
  file /usr/share/doc/qt-mobility-1.1.3/LICENSE.LGPL from install of qt-mobility-1.1.3-2.el6.i686 conflicts with file from package qt-mobility-1.1.3-2.el6.x86_64
  file /usr/share/doc/qt-mobility-1.1.3/changes-1.1.3 from install of qt-mobility-1.1.3-2.el6.i686 conflicts with file from package qt-mobility-1.1.3-2.el6.x86_64

Error Summary
-------------

root@rpmbuild-sl6 ~ # cat /etc/redhat-release
Scientific Linux release 6.4 (Carbon)
Comment 3 Rex Dieter 2013-09-23 10:27:30 EDT
Problem seems specific to your box and/or Scientific linux.  Maybe ask SL folks if anyone else can reproduce it?

I did notice, when you tried installing qt-mobility, the repo was named epelv6 not the standard/default epel, did you modify/change epel-release package (which owns /etc/yum.repos.d/epel.repo ?
Comment 4 Jan-Albert van Ree 2013-09-25 05:07:21 EDT
The machines are updated through spacewalk. I've got a local spacewalk channel called epelv6 which pulls everything from epel mirror 
http://ftp.nluug.nl/pub/os/Linux/distr/fedora-epel/6/x86_64/ , so we don't actually use epel.repo under /etc/yum.repos.d/ or the epel-release package.
Comment 5 Rex Dieter 2014-09-23 13:14:52 EDT
I'm going to close this worksforme.  Please let me know if you can reproduce this in a stock environment, thanks.

Note You need to log in before you can comment on or make changes to this bug.